<?php
/*
* $Id: paWholeSaleLite.php
* $Loc: /includes/hooks/admin/products_attributes/
*
* Name: WholesaleLite
* Version: 4.7.9
* Release Date: 10/19/2024
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  class hook_admin_products_attributes_paWholeSaleLite {

    function listen_addProductAttributesAction() {

      if ( defined('MODULE_STORE_WHOLESALE_STATUS') && MODULE_STORE_WHOLESALE_STATUS == 'True' ) {
        $GLOBALS['db']->query(sprintf(<<<'EOSQL'
UPDATE products_attributes
  SET options_values_ws_price = '%s'
  WHERE products_attributes_id = %s
EOSQL
        , (float)$_POST['value_ws_price'], (int)$GLOBALS['products_attributes_id']));
      }

    }

    function listen_updateProductAttributeAction() {

      if ( defined('MODULE_STORE_WHOLESALE_STATUS') && MODULE_STORE_WHOLESALE_STATUS == 'True' ) {
        $GLOBALS['db']->query(sprintf(<<<'EOSQL'
UPDATE products_attributes
  SET options_values_ws_price = '%s'
  WHERE products_attributes_id = %s
EOSQL
        , (float)$_POST['value_ws_price'], (int)$GLOBALS['attribute_id']));
      }

    }

  }
